#########
# WARNING WARNING WARNING
# WARNING WARNING WARNING
# WARNING WARNING WARNING
# WARNING WARNING WARNING
# WARNING WARNING WARNING
# this file is generated dynamically from /etc/aide/aide.conf and the files
# in /etc/aide/aide.conf.d
# Any changes you make here will be lost.
# WARNING WARNING WARNING
# WARNING WARNING WARNING
# WARNING WARNING WARNING
# WARNING WARNING WARNING
# WARNING WARNING WARNING
#########

database=file:/var/lib/aide/aide.db
database_out=file:/var/lib/aide/aide.db.new
database_new=file:/var/lib/aide/aide.db.new
gzip_dbout=yes

summarize_changes=yes

grouped=yes

verbose = 6

report_base16 = no

Checksums = sha256+sha512+rmd160+haval+gost+crc32+tiger
CONTENT_EX = p+i+n+u+g+s+b+acl+xattrs+sha512

database_attrs = Checksums

OwnerMode = p+u+g+ftype

Size = s+b

InodeData = OwnerMode+n+i+Size+l+X
StaticFile = m+c+Checksums

RamdiskData = InodeData-i

Full = InodeData+StaticFile

VarTime = InodeData+Checksums

VarInode = VarTime-i

VarFile = OwnerMode+n+l+X

VarDir = OwnerMode+i+X

VarDirInode = OwnerMode+n+X

VarDirTime = InodeData

Log = OwnerMode+n+S+X

FreqRotLog = Log-S

LowLog = Log-S

SerMemberLog  = Full+I

LoSerMemberLog = SerMemberLog+ANF

HiSerMemberLog = SerMemberLog+ARF

LowDELog = SerMemberLog+ANF+ARF

SerMemberDELog = Full+ANF

LinkedLog = Log-n
@@define IP4ADDRESS (25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9]?[0-9])(\.(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9]?[0-9])){3}
@@define IP6ADDRESS ((:(:[0-9A-Fa-f]{1,4}){1,7}|::|[0-9A-Fa-f]{1,4}(:(:[0-9A-Fa-f]{1,4}){1,6}|::|:[0-9A-Fa-f]{1,4}(:(:[0-9A-Fa-f]{1,4}){1,5}|::|:[0-9A-Fa-f]{1,4}(:(:[0-9A-Fa-f]{1,4}){1,4}|::|:[0-9A-Fa-f]{1,4}(:(:[0-9A-Fa-f]{1,4}){1,3}|::|:[0-9A-Fa-f]{1,4}(:(:[0-9A-Fa-f]{1,4}){1,2}|::|:[0-9A-Fa-f]{1,4}(::[0-9A-Fa-f]{1,4}|::|:[0-9A-Fa-f]{1,4}(::|:[0-9A-Fa-f]{1,4}))))))))|(:(:[0-9A-Fa-f]{1,4}){0,5}|[0-9A-Fa-f]{1,4}(:(:[0-9A-Fa-f]{1,4}){0,4}|:[0-9A-Fa-f]{1,4}(:(:[0-9A-Fa-f]{1,4}){0,3}|:[0-9A-Fa-f]{1,4}(:(:[0-9A-Fa-f]{1,4}){0,2}|:[0-9A-Fa-f]{1,4}(:(:[0-9A-Fa-f]{1,4})?|:[0-9A-Fa-f]{1,4}(:|:[0-9A-Fa-f]{1,4})))))):(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9]?[0-9])(\.(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9]?[0-9])){3})

@@ifndef DEBIANVERSION
@@define DEBIANVERSION Debian/bullseye/sid
@@endif
@@ifndef ID
@@define ID Ubuntu
@@endif
@@ifndef DESCRIPTION
@@define DESCRIPTION Ubuntu_20_04_4_LTS
@@endif
@@ifndef RELEASE
@@define RELEASE 20_04
@@endif
@@ifndef CODENAME
@@define CODENAME focal
@@endif

@@define FQDN ubuntu-base-ubuntu-local
@@define HOSTNAME ubuntu-base-ubuntu-local
@@define ARCH amd64

@@define PREVYEAR4D 2021

@@ifndef RUN
@@define RUN run
@@endif
@@ifndef RUNLOCK
@@define RUNLOCK run/lock
@@endif
@@ifndef LIBINITRW
@@define LIBINITRW run
@@endif

@@ifndef DEVDOT
@@define DEVDOT run/
@@endif

@@define YEAR4D 2022

/@@{ROOTPREFIX}var/log/acpid$ Log
/@@{ROOTPREFIX}var/log/acpid\.1$ LowLog
/@@{ROOTPREFIX}var/log/acpid\.2\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/acpid\.3\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/acpid\.4\.gz$ HiSerMemberLog

/@@{ROOTPREFIX}etc/adjtime$ VarFile

/@@{ROOTPREFIX}var/lib/aide/aide\.db(\.new)?$ VarFile
!/@@{ROOTPREFIX}var/lib/aide/aide\.conf\.autogenerated$
/@@{ROOTPREFIX}var/lib/aide$ VarDir
/@@{ROOTPREFIX}var/log/aide/aide\.log(\.0)?$ LowLog
/@@{ROOTPREFIX}var/log/aide/aide\.log\.1\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/aide/aide\.log\.[2-5]\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/aide/aide\.log\.6\.gz$ HiSerMemberLog
/@@{ROOTPREFIX}var/log/aide$ VarDir

/@@{ROOTPREFIX}var/lib/alsa/asound\.state$ VarFile

@@define AMANDALOG var/log/amanda

/@@{ROOTPREFIX}var/lib/dumpdates$ VarFile
!/@@{ROOTPREFIX}@@{AMANDALOG}/amandad/amandad\.@@{YEAR4D}[0-9]{10}\.debug$
/@@{ROOTPREFIX}@@{AMANDALOG}/(amandad|client)$ VarDir
@@ifdef AMANDABACKUPSET
/@@{ROOTPREFIX}@@{AMANDALOG}/client/@@{AMANDABACKUPSET}$ VarDir
@@endif
!/@@{ROOTPREFIX}@@{AMANDALOG}/client/[^/]+/(sendsize|killpgrp|sendbackup|selfcheck)\.@@{YEAR4D}[0-9]{10}\.debug$

/@@{ROOTPREFIX}var/lib/amavis/tmp$ VarDir
!/@@{ROOTPREFIX}var/lib/amavis/tmp/amavis-[0-9]{8}T[0-9]{6}-[0-9]{5}$
!/@@{ROOTPREFIX}var/lib/amavis/tmp/amavis-[0-9]{8}T[0-9]{6}-[0-9]{5}/(email\.txt|parts)$
/@@{ROOTPREFIX}var/lib/amavis/db/__db.[0-9]{3} VarFile
/@@{ROOTPREFIX}var/lib/amavis/db/(cache(-expiry)?|snmp|nanny)\.db$ VarFile
/@@{ROOTPREFIX}var/lib/amavis/.spamassassin$ VarDir
/@@{ROOTPREFIX}var/lib/amavis/.spamassassin/bayes_(toks|seen)$ VarFile
/@@{ROOTPREFIX}var/lib/amavis/.spamassassin/auto-whitelist$ VarFile

/@@{ROOTPREFIX}var/spool/anacron/cron\.(monthly|weekly|daily)$ VarFile


/@@{ROOTPREFIX}var/log/apache/(access|error)\.log$ Log
/@@{ROOTPREFIX}var/log/apache/(access|error)\.log\.1$ LowLog
/@@{ROOTPREFIX}var/log/apache/(access|error)\.log\.2\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/apache/(access|error)\.log\.[0-9]+\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/apache$ VarDir

@@ifdef APACHE2_SUEXEC
@@define APACHE2_LOGS (access|error|suexec)
@@else
@@define APACHE2_LOGS (access|error)
@@endif
/@@{ROOTPREFIX}var/log/apache2/@@{APACHE2_LOGS}\.log$ Log
/@@{ROOTPREFIX}var/log/apache2/@@{APACHE2_LOGS}\.log\.1$ LowLog
/@@{ROOTPREFIX}var/log/apache2/@@{APACHE2_LOGS}\.log\.2\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/apache2/@@{APACHE2_LOGS}\.log\.([3-9]|[1-4][0-9]|5[0-1])\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/apache2/@@{APACHE2_LOGS}\.log\.52\.gz$ HiSerMemberLog

/@@{ROOTPREFIX}var/log/apache2$ VarDir

/@@{ROOTPREFIX}var/log/apcupsd\.events$ Log

@@define TRANSLATIONS (ca|cs|da|de|de_DE|en|eo|es|eu|fi|fr|hr|hu|id|it|ja|km|ko|nb|nl|pl|pt|pt_BR|ro|ru|sk|sr|sv|uk|vi|zh|zh_CN|zh_TW)

/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_main_binary-@@{ARCH}_Packages(\.IndexDiff)?$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_main_binary-@@{FOREIGN_ARCHES}_Packages(\.IndexDiff)?$ VarFile
@@endif
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_(InRelease|Release(\.gpg)?)$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_main_i18n_Translation-@@{TRANSLATIONS}(\.IndexDiff)?$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_restricted_binary-@@{ARCH}_Packages(\.IndexDiff)?$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_restricted_binary-@@{FOREIGN_ARCHES}_Packages(\.IndexDiff)?$ VarFile
@@endif
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_(InRelease|Release(\.gpg)?)$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_restricted_i18n_Translation-@@{TRANSLATIONS}(\.IndexDiff)?$ VarFile
!/@@{ROOTPREFIX}var/lib/apt/lists/partial/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_Release\.gpg\.reverify$

/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_main_binary-@@{ARCH}_Packages(\.IndexDiff)?$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_main_binary-@@{FOREIGN_ARCHES}_Packages(\.IndexDiff)?$ VarFile
@@endif
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_(InRelease|Release(\.gpg)?)$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_main_i18n_Translation-@@{TRANSLATIONS}(\.IndexDiff)?$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_restricted_binary-@@{ARCH}_Packages(\.IndexDiff)?$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_restricted_binary-@@{FOREIGN_ARCHES}_Packages(\.IndexDiff)?$ VarFile
@@endif
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_(InRelease|Release(\.gpg)?)$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_restricted_i18n_Translation-@@{TRANSLATIONS}(\.IndexDiff)?$ VarFile
!/@@{ROOTPREFIX}var/lib/apt/lists/partial/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_Release\.gpg\.reverify$

/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_universe_binary-@@{ARCH}_Packages(\.IndexDiff)?$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_universe_binary-@@{FOREIGN_ARCHES}_Packages(\.IndexDiff)?$ VarFile
@@endif
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_(InRelease|Release(\.gpg)?)$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_universe_i18n_Translation-@@{TRANSLATIONS}(\.IndexDiff)?$ VarFile
!/@@{ROOTPREFIX}var/lib/apt/lists/partial/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_Release\.gpg\.reverify$

/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_universe_binary-@@{ARCH}_Packages(\.IndexDiff)?$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_universe_binary-@@{FOREIGN_ARCHES}_Packages(\.IndexDiff)?$ VarFile
@@endif
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_(InRelease|Release(\.gpg)?)$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_universe_i18n_Translation-@@{TRANSLATIONS}(\.IndexDiff)?$ VarFile
!/@@{ROOTPREFIX}var/lib/apt/lists/partial/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_Release\.gpg\.reverify$

/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_multiverse_binary-@@{ARCH}_Packages(\.IndexDiff)?$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_multiverse_binary-@@{FOREIGN_ARCHES}_Packages(\.IndexDiff)?$ VarFile
@@endif
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_(InRelease|Release(\.gpg)?)$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_multiverse_i18n_Translation-@@{TRANSLATIONS}(\.IndexDiff)?$ VarFile
!/@@{ROOTPREFIX}var/lib/apt/lists/partial/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal_Release\.gpg\.reverify$

/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_multiverse_binary-@@{ARCH}_Packages(\.IndexDiff)?$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_multiverse_binary-@@{FOREIGN_ARCHES}_Packages(\.IndexDiff)?$ VarFile
@@endif
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_(InRelease|Release(\.gpg)?)$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_multiverse_i18n_Translation-@@{TRANSLATIONS}(\.IndexDiff)?$ VarFile
!/@@{ROOTPREFIX}var/lib/apt/lists/partial/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-updates_Release\.gpg\.reverify$

/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-backports_main_binary-@@{ARCH}_Packages(\.IndexDiff)?$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-backports_main_binary-@@{FOREIGN_ARCHES}_Packages(\.IndexDiff)?$ VarFile
@@endif
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-backports_(InRelease|Release(\.gpg)?)$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-backports_main_i18n_Translation-@@{TRANSLATIONS}(\.IndexDiff)?$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-backports_restricted_binary-@@{ARCH}_Packages(\.IndexDiff)?$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-backports_restricted_binary-@@{FOREIGN_ARCHES}_Packages(\.IndexDiff)?$ VarFile
@@endif
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-backports_(InRelease|Release(\.gpg)?)$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-backports_restricted_i18n_Translation-@@{TRANSLATIONS}(\.IndexDiff)?$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-backports_universe_binary-@@{ARCH}_Packages(\.IndexDiff)?$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-backports_universe_binary-@@{FOREIGN_ARCHES}_Packages(\.IndexDiff)?$ VarFile
@@endif
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-backports_(InRelease|Release(\.gpg)?)$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-backports_universe_i18n_Translation-@@{TRANSLATIONS}(\.IndexDiff)?$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-backports_multiverse_binary-@@{ARCH}_Packages(\.IndexDiff)?$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-backports_multiverse_binary-@@{FOREIGN_ARCHES}_Packages(\.IndexDiff)?$ VarFile
@@endif
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-backports_(InRelease|Release(\.gpg)?)$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-backports_multiverse_i18n_Translation-@@{TRANSLATIONS}(\.IndexDiff)?$ VarFile
!/@@{ROOTPREFIX}var/lib/apt/lists/partial/nova\.clouds\.archive\.ubuntu\.com_ubuntu_dists_focal-backports_Release\.gpg\.reverify$

/@@{ROOTPREFIX}var/lib/apt/lists/security\.ubuntu\.com_ubuntu_dists_focal-security_main_binary-@@{ARCH}_Packages(\.IndexDiff)?$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/lib/apt/lists/security\.ubuntu\.com_ubuntu_dists_focal-security_main_binary-@@{FOREIGN_ARCHES}_Packages(\.IndexDiff)?$ VarFile
@@endif
/@@{ROOTPREFIX}var/lib/apt/lists/security\.ubuntu\.com_ubuntu_dists_focal-security_(InRelease|Release(\.gpg)?)$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/security\.ubuntu\.com_ubuntu_dists_focal-security_main_i18n_Translation-@@{TRANSLATIONS}(\.IndexDiff)?$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/security\.ubuntu\.com_ubuntu_dists_focal-security_restricted_binary-@@{ARCH}_Packages(\.IndexDiff)?$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/lib/apt/lists/security\.ubuntu\.com_ubuntu_dists_focal-security_restricted_binary-@@{FOREIGN_ARCHES}_Packages(\.IndexDiff)?$ VarFile
@@endif
/@@{ROOTPREFIX}var/lib/apt/lists/security\.ubuntu\.com_ubuntu_dists_focal-security_(InRelease|Release(\.gpg)?)$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/security\.ubuntu\.com_ubuntu_dists_focal-security_restricted_i18n_Translation-@@{TRANSLATIONS}(\.IndexDiff)?$ VarFile
!/@@{ROOTPREFIX}var/lib/apt/lists/partial/security\.ubuntu\.com_ubuntu_dists_focal-security_Release\.gpg\.reverify$

/@@{ROOTPREFIX}var/lib/apt/lists/security\.ubuntu\.com_ubuntu_dists_focal-security_universe_binary-@@{ARCH}_Packages(\.IndexDiff)?$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/lib/apt/lists/security\.ubuntu\.com_ubuntu_dists_focal-security_universe_binary-@@{FOREIGN_ARCHES}_Packages(\.IndexDiff)?$ VarFile
@@endif
/@@{ROOTPREFIX}var/lib/apt/lists/security\.ubuntu\.com_ubuntu_dists_focal-security_(InRelease|Release(\.gpg)?)$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/security\.ubuntu\.com_ubuntu_dists_focal-security_universe_i18n_Translation-@@{TRANSLATIONS}(\.IndexDiff)?$ VarFile
!/@@{ROOTPREFIX}var/lib/apt/lists/partial/security\.ubuntu\.com_ubuntu_dists_focal-security_Release\.gpg\.reverify$

/@@{ROOTPREFIX}var/lib/apt/lists/security\.ubuntu\.com_ubuntu_dists_focal-security_multiverse_binary-@@{ARCH}_Packages(\.IndexDiff)?$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/lib/apt/lists/security\.ubuntu\.com_ubuntu_dists_focal-security_multiverse_binary-@@{FOREIGN_ARCHES}_Packages(\.IndexDiff)?$ VarFile
@@endif
/@@{ROOTPREFIX}var/lib/apt/lists/security\.ubuntu\.com_ubuntu_dists_focal-security_(InRelease|Release(\.gpg)?)$ VarFile
/@@{ROOTPREFIX}var/lib/apt/lists/security\.ubuntu\.com_ubuntu_dists_focal-security_multiverse_i18n_Translation-@@{TRANSLATIONS}(\.IndexDiff)?$ VarFile
!/@@{ROOTPREFIX}var/lib/apt/lists/partial/security\.ubuntu\.com_ubuntu_dists_focal-security_Release\.gpg\.reverify$

/@@{ROOTPREFIX}var/lib/apt/lists(/partial)?$ VarDir
/@@{ROOTPREFIX}var/lib/apt/lists/lock$ VarFile
/@@{ROOTPREFIX}var/lib/apt/periodic/(download-upgradeable|update)-stamp$ VarTime
/@@{ROOTPREFIX}var/lib/apt/(daily_lock|extended_states)$ VarFile
/@@{ROOTPREFIX}var/lib/apt$ VarDir
/@@{ROOTPREFIX}var/lib/systemd/timers/stamp-apt-daily(-upgrade)?\.timer$ VarFile
/@@{ROOTPREFIX}var/log/apt/(term|history)\.log$ Log
/@@{ROOTPREFIX}var/log/apt/(term|history)\.log\.1\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/apt/(term|history)\.log\.([2-9]|1[0-1])\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/apt/(term|history)\.log\.12\.gz$ HiSerMemberLog
/@@{ROOTPREFIX}var/log/apt$ VarDir
/@@{ROOTPREFIX}var/backups/apt\.extended_states\.0$ LowLog
/@@{ROOTPREFIX}var/backups/apt\.extended_states\.1\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/backups/apt\.extended_states\.[2345]\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/backups/apt\.extended_states\.6\.gz$ HiSerMemberLog

/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal_main_Contents-@@{ARCH}\.(gz|IndexDiff)$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal_main_Contents-@@{FOREIGN_ARCHES}\.(gz|IndexDiff)$ VarFile
@@endif
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal_restricted_Contents-@@{ARCH}\.(gz|IndexDiff)$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal_restricted_Contents-@@{FOREIGN_ARCHES}\.(gz|IndexDiff)$ VarFile
@@endif
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal-updates_main_Contents-@@{ARCH}\.(gz|IndexDiff)$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal-updates_main_Contents-@@{FOREIGN_ARCHES}\.(gz|IndexDiff)$ VarFile
@@endif
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal-updates_restricted_Contents-@@{ARCH}\.(gz|IndexDiff)$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal-updates_restricted_Contents-@@{FOREIGN_ARCHES}\.(gz|IndexDiff)$ VarFile
@@endif
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal_universe_Contents-@@{ARCH}\.(gz|IndexDiff)$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal_universe_Contents-@@{FOREIGN_ARCHES}\.(gz|IndexDiff)$ VarFile
@@endif
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal-updates_universe_Contents-@@{ARCH}\.(gz|IndexDiff)$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal-updates_universe_Contents-@@{FOREIGN_ARCHES}\.(gz|IndexDiff)$ VarFile
@@endif
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal_multiverse_Contents-@@{ARCH}\.(gz|IndexDiff)$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal_multiverse_Contents-@@{FOREIGN_ARCHES}\.(gz|IndexDiff)$ VarFile
@@endif
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal-updates_multiverse_Contents-@@{ARCH}\.(gz|IndexDiff)$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal-updates_multiverse_Contents-@@{FOREIGN_ARCHES}\.(gz|IndexDiff)$ VarFile
@@endif
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal-backports_main_Contents-@@{ARCH}\.(gz|IndexDiff)$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal-backports_main_Contents-@@{FOREIGN_ARCHES}\.(gz|IndexDiff)$ VarFile
@@endif
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal-backports_restricted_Contents-@@{ARCH}\.(gz|IndexDiff)$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal-backports_restricted_Contents-@@{FOREIGN_ARCHES}\.(gz|IndexDiff)$ VarFile
@@endif
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal-backports_universe_Contents-@@{ARCH}\.(gz|IndexDiff)$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal-backports_universe_Contents-@@{FOREIGN_ARCHES}\.(gz|IndexDiff)$ VarFile
@@endif
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal-backports_multiverse_Contents-@@{ARCH}\.(gz|IndexDiff)$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/cache/apt/apt-file/nova\\.clouds\\.archive\\.ubuntu\\.com_ubuntu_dists_focal-backports_multiverse_Contents-@@{FOREIGN_ARCHES}\.(gz|IndexDiff)$ VarFile
@@endif
/@@{ROOTPREFIX}var/cache/apt/apt-file/security\\.ubuntu\\.com_ubuntu_dists_focal-security_main_Contents-@@{ARCH}\.(gz|IndexDiff)$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/cache/apt/apt-file/security\\.ubuntu\\.com_ubuntu_dists_focal-security_main_Contents-@@{FOREIGN_ARCHES}\.(gz|IndexDiff)$ VarFile
@@endif
/@@{ROOTPREFIX}var/cache/apt/apt-file/security\\.ubuntu\\.com_ubuntu_dists_focal-security_restricted_Contents-@@{ARCH}\.(gz|IndexDiff)$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/cache/apt/apt-file/security\\.ubuntu\\.com_ubuntu_dists_focal-security_restricted_Contents-@@{FOREIGN_ARCHES}\.(gz|IndexDiff)$ VarFile
@@endif
/@@{ROOTPREFIX}var/cache/apt/apt-file/security\\.ubuntu\\.com_ubuntu_dists_focal-security_universe_Contents-@@{ARCH}\.(gz|IndexDiff)$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/cache/apt/apt-file/security\\.ubuntu\\.com_ubuntu_dists_focal-security_universe_Contents-@@{FOREIGN_ARCHES}\.(gz|IndexDiff)$ VarFile
@@endif
/@@{ROOTPREFIX}var/cache/apt/apt-file/security\\.ubuntu\\.com_ubuntu_dists_focal-security_multiverse_Contents-@@{ARCH}\.(gz|IndexDiff)$ VarFile
@@ifdef FOREIGN_ARCHES
/@@{ROOTPREFIX}var/cache/apt/apt-file/security\\.ubuntu\\.com_ubuntu_dists_focal-security_multiverse_Contents-@@{FOREIGN_ARCHES}\.(gz|IndexDiff)$ VarFile
@@endif
/@@{ROOTPREFIX}var/cache/apt/apt-file$ VarDir

!/@@{ROOTPREFIX}var/cache/apt-listbugs/%2Findices%2Findex.db-(critical|grave|serious)\.gz$
/@@{ROOTPREFIX}var/cache/apt-listbugs$ VarDir

/@@{ROOTPREFIX}var/lib/apt/listchanges\.db$ VarFile

/@@{ROOTPREFIX}var/cache/apt-show-versions/(files|ipackages|apackages)$ VarFile
/@@{ROOTPREFIX}var/cache/apt-show-versions$ VarDir

/@@{ROOTPREFIX}var/log/aptitude$ Log
/@@{ROOTPREFIX}var/log/aptitude\.1\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/aptitude\.[2-5]\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/aptitude\.6\.gz$ HiSerMemberLog
/@@{ROOTPREFIX}var/backups/aptitude\.pkgstates\.0$ LowLog
/@@{ROOTPREFIX}var/backups/aptitude\.pkgstates\.1\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/backups/aptitude\.pkgstates\.[2345]\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/backups/aptitude\.pkgstates\.6\.gz$ HiSerMemberLog
/@@{ROOTPREFIX}var/lib/aptitude/pkgstates(\.old)?$ VarFile
/@@{ROOTPREFIX}var/lib/aptitude$ VarDir
/@@{ROOTPREFIX}root/\.(aptitude|debtags)$ VarDir
/@@{ROOTPREFIX}root/\.aptitude/config$ VarFile

/@@{ROOTPREFIX}var/spool/cron/at(spool|jobs)$ VarDir

/@@{ROOTPREFIX}var/log/atop$ VarDirInode
!/@@{ROOTPREFIX}var/log/atop/(atop_@@{YEAR4D}[[:digit:]]{4}|daily\.log)$
/@@{ROOTPREFIX}var/log/atop/dummy_(after|before)$ VarFile

@@ifdef BINDCHROOT
@@{BINDCHROOT}/dev/log$ LowLog
@@endif
@@{BINDCHROOT}/var/log/bind/queries\.log$ Log
@@{BINDCHROOT}/var/log/bind/queries\.log\.0$ LoSerMemberLog
@@{BINDCHROOT}/var/log/bind/queries\.log\.[1-8]$ SerMemberLog
@@{BINDCHROOT}/var/log/bind/queries\.log\.9$ HiSerMemberLog
@@{BINDCHROOT}/var/log/bind VarDir
@@{BINDCHROOT}/var/cache/bind$ VarDir
@@{BINDCHROOT}/var/cache/bind/[-[:alnum:].]+$ VarFile

/@@{ROOTPREFIX}var/lib/boinc-client$ VarDir
/@@{ROOTPREFIX}var/lib/boinc-client/(get_current_version|global_prefs|daily_xfer_history|client_state(_prev)?)\.xml$ VarFile
/@@{ROOTPREFIX}var/lib/boinc-client/(time_stats_log|do_fp)$ VarFile
/@@{ROOTPREFIX}var/lib/boinc-client/lookup_website\.html$ VarFile
/@@{ROOTPREFIX}var/lib/boinc-client/std(err|out)dae\.txt$ VarFile

/@@{ROOTPREFIX}var/log/btmp$ Log
/@@{ROOTPREFIX}var/log/btmp\.1$ LowLog

@@ifdef CEREALSESS
!/@@{ROOTPREFIX}var/lib/cereal/sessions/@@{CEREALSESS}/log/main(/@[0-9a-f]{24}\.s)?$
/@@{ROOTPREFIX}var/lib/cereal/sessions/@@{CEREALSESS}/socket$ VarFile
/@@{ROOTPREFIX}var/lib/cereal/sessions/@@{CEREALSESS}/supervise$ VarDir
/@@{ROOTPREFIX}var/lib/cereal/sessions/@@{CEREALSESS}/supervise/(pid|stat|status)$ VarFile
@@endif

/@@{ROOTPREFIX}var/log/setuid/setuid.changes$ Log
/@@{ROOTPREFIX}var/log/setuid/setuid.changes\.1$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/setuid/setuid.changes\.[2-9]$ SerMemberLog
/@@{ROOTPREFIX}var/log/setuid/setuid.changes\.10$ HiSerMemberLog
/@@{ROOTPREFIX}var/log/setuid/setuid.(today|yesterday)$ VarFile
/@@{ROOTPREFIX}var/log/setuid$ VarDir

/@@{ROOTPREFIX}var/log/clamav/clamav\.log$ Log
/@@{ROOTPREFIX}var/log/clamav/clamav\.log\.1$ LowLog
/@@{ROOTPREFIX}var/log/clamav/clamav\.log\.2\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/clamav/clamav\.log\.([3-9]|1[0-1])\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/clamav/clamav\.log\.12\.gz$ HiSerMemberLog
/@@{ROOTPREFIX}var/log/clamav$ VarDir

/@@{ROOTPREFIX}var/log/clamav/freshclam\.log$ Log
/@@{ROOTPREFIX}var/log/clamav/freshclam\.log\.1$ LowLog
/@@{ROOTPREFIX}var/log/clamav/freshclam\.log\.2\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/clamav/freshclam\.log\.([3-9]|1[0-1])\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/clamav/freshclam\.log\.12\.gz$ HiSerMemberLog
/@@{ROOTPREFIX}var/lib/clamav/(daily|main)\.inc$ VarDir
/@@{ROOTPREFIX}var/lib/clamav/bytecode\.cld$ VarFile
/@@{ROOTPREFIX}var/lib/clamav/daily\.inc/daily\.(info|[nmhp]db)$ VarFile
/@@{ROOTPREFIX}var/lib/clamav/mirrors.dat$ VarFile


/@@{ROOTPREFIX}var/cache/cracklib/cracklib_dict\.(pwi|twm|pwd)$ Full-m-c

/@@{ROOTPREFIX}var/cache/cracklib/cracklib_dict\.(hwm|pw(d|i))$ VarFile


/@@{ROOTPREFIX}var/lib/cron-apt/_-_etc_-_cron-apt_-_config/mailchanges/(0-update-|3-download-)[0-9a-f]{32}$ VarFile
!/@@{ROOTPREFIX}var/lib/cron-apt/lockfile$
/@@{ROOTPREFIX}var/lib/cron-apt$ VarDir
!/@@{ROOTPREFIX}tmp/cron-apt\.[a-zA-Z0-9]{6}$
!/@@{ROOTPREFIX}tmp/cron-apt\.[a-zA-Z0-9]{6}/initlog$
/@@{ROOTPREFIX}var/log/cron-apt/log$ Log
/@@{ROOTPREFIX}var/log/cron-apt/log\.1\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/cron-apt/log\.[23]\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/cron-apt/log\.4\.gz$ HiSerMemberLog
/@@{ROOTPREFIX}var/log/cron-apt$ VarDir

@@define CUPS_LOGS (access|error|page|cups-pdf)
/@@{ROOTPREFIX}var/log/cups/@@{CUPS_LOGS}_log$ Log
/@@{ROOTPREFIX}var/log/cups/@@{CUPS_LOGS}_log\.1\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/cups/@@{CUPS_LOGS}_log\.[2-6]\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/cups/@@{CUPS_LOGS}_log\.7\.gz$ HiSerMemberLog
/@@{ROOTPREFIX}var/log/cups$ VarDir

/@@{ROOTPREFIX}var/cache/cups$ VarDir
/@@{ROOTPREFIX}var/cache/cups/(job|remote)\.cache$ VarFile
/@@{ROOTPREFIX}var/cache/cups/job\.cache\.O$ VarFile
/@@{ROOTPREFIX}var/cache/cups/(([0-9]|([1-9]|1[0-9]|2[0-4])[0-9]|25[0-5])\.){3}([0-9]|([1-9]|1[0-9]|2[0-4])[0-9]|25[0-5])\.snmp$ VarTime

!/@@{ROOTPREFIX}var/spool/cups/(c[0-9]{5}|d[0-9]{5}-[0-9]{3})$
!/@@{ROOTPREFIX}var/spool/cups/tmp/cups-dbus-notifier-lockfile$
/@@{ROOTPREFIX}var/spool/cups(/tmp)?$ VarDir


/@@{ROOTPREFIX}etc/cups$ VarDir
/@@{ROOTPREFIX}etc/cups/(printers|subscriptions)\.conf(\.O)?$ VarFile


/@@{ROOTPREFIX}var/cache/ddclient/ddclient\.cache$ VarFile

/@@{ROOTPREFIX}var/cache/debconf/(config|templates)\.dat(-old)?$ VarFile
/@@{ROOTPREFIX}var/cache/debconf$ VarDir

/@@{ROOTPREFIX}var/lib/debsecan/history$ VarFile
/@@{ROOTPREFIX}var/lib/debsecan$ VarDir

/@@{ROOTPREFIX}var/lib/dlocate/(dpkg-list|dlocate(db)?(\.old|\.stamps)?)$ VarFile
/@@{ROOTPREFIX}var/lib/dlocate$ VarDir

/@@{ROOTPREFIX}var/lib/dokuwiki/data/cache/[0-9a-f]/[0-9a-f]{32}\.(feed|i|xhtml)$ VarFile
/@@{ROOTPREFIX}var/lib/dokuwiki/data/(changes\.log|(index|word)\.idx)$ VarFile
/@@{ROOTPREFIX}var/lib/dokuwiki/data/meta/([a-z]+\.indexed|_dokuwiki\.changes)$ VarFile
/@@{ROOTPREFIX}var/lib/dokuwiki/data/meta$ VarDir
/@@{ROOTPREFIX}var/lib/dokuwiki/data/pages/[a-z]+\.txt$ VarFile
/@@{ROOTPREFIX}var/lib/dokuwiki/data/(attic|cache|locks|pages)$ VarDir

/@@{ROOTPREFIX}var/lib/dovecot/ssl-parameters\.dat$ VarFile
/@@{ROOTPREFIX}var/lib/dovecot$ VarDir

/@@{ROOTPREFIX}var/lib/dpkg/(available|status)(-old)?$ VarFile
/@@{ROOTPREFIX}var/lib/dpkg/status\.yesterday(\.[0-9]*)?(\.gz)?$ VarFile
/@@{ROOTPREFIX}var/lib/dpkg/triggers/Lock$ VarFile
/@@{ROOTPREFIX}var/lib/dpkg/(info|updates|lock)$ VarDir
/@@{ROOTPREFIX}var/lib/dpkg$ VarDir
/@@{ROOTPREFIX}var/log/(alternatives|dpkg)\.log$ Log
/@@{ROOTPREFIX}var/log/(alternatives|dpkg)\.log\.1$ LowLog
/@@{ROOTPREFIX}var/log/(alternatives|dpkg)\.log\.2\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/(alternatives|dpkg)\.log\.([3-9]|1[0-1])\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/(alternatives|dpkg)\.log\.12\.gz$ HiSerMemberLog
/@@{ROOTPREFIX}var/backups/(alternatives\.tar|dpkg\.(status|diversions|statoverride))\.0$ LowLog
/@@{ROOTPREFIX}var/backups/(alternatives\.tar|dpkg\.(status|diversions|statoverride))\.1\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/backups/(alternatives\.tar|dpkg\.(status|diversions|statoverride))\.[2345]\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/backups/(alternatives\.tar|dpkg\.(status|diversions|statoverride))\.6\.gz$ HiSerMemberLog

/@@{ROOTPREFIX}etc/\.git/index$ VarInode
/@@{ROOTPREFIX}etc/\.git$ VarDirTime

/@@{ROOTPREFIX}var/spool/exim4/gnutls-params$ VarFile
/@@{ROOTPREFIX}var/spool/exim4/db/(wait-remote_smtp(_smarthost)?|retry|callout)$ VarFile
!/@@{ROOTPREFIX}var/spool/exim4/input/[a-zA-Z0-9]{6}-[a-zA-Z0-9]{6}-[a-zA-Z0-9]{2}-[DHJ]$
!/@@{ROOTPREFIX}var/spool/exim4/msglog/[a-zA-Z0-9]{6}-[a-zA-Z0-9]{6}-[a-zA-Z0-9]{2}$
!/@@{ROOTPREFIX}var/spool/exim4/gnutls-params$
!/@@{ROOTPREFIX}var/spool/exim4/.rnd$
/@@{ROOTPREFIX}var/spool/exim4(/(input|msglog|scan))?$ VarDir
/@@{ROOTPREFIX}var/lib/exim4/config.autogenerated$ VarFile
/@@{ROOTPREFIX}var/lib/exim4$ VarDir

@@define EXIM4_LOGS (main|reject)
/@@{ROOTPREFIX}var/log/exim4/@@{EXIM4_LOGS}log$ Log
/@@{ROOTPREFIX}var/log/exim4/@@{EXIM4_LOGS}log\.1$ LowLog
/@@{ROOTPREFIX}var/log/exim4/@@{EXIM4_LOGS}log\.2\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/exim4/@@{EXIM4_LOGS}log\.[3-9]\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/exim4/@@{EXIM4_LOGS}log\.10\.gz$ HiSerMemberLog
/@@{ROOTPREFIX}var/log/exim4$ VarDir

/@@{ROOTPREFIX}var/log/fail2ban\.log$ Log
/@@{ROOTPREFIX}var/log/fail2ban\.log\.1$ LowLog
/@@{ROOTPREFIX}var/log/fail2ban\.log\.2\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/fail2ban\.log\.3\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/fail2ban\.log\.4\.gz$ HiSerMemberLog

/@@{ROOTPREFIX}var/spool/fcron/systab$ VarFile
/@@{ROOTPREFIX}var/spool/fcron$ VarDir

/@@{ROOTPREFIX}var/cache/locate/locatedb$ VarFile
/@@{ROOTPREFIX}var/cache/locate$ VarDir



@@define INTERFACES eth0



/@@{ROOTPREFIX}@@{DEVDOT}initramfs$ VarDirInode

/@@{ROOTPREFIX}var/lib/urandom/random-seed$ VarFile
/@@{ROOTPREFIX}var/lib/(urandom|initscripts)$ VarDir
/@@{ROOTPREFIX}var/log/dmesg$ Log
/@@{ROOTPREFIX}var/log/dmesg\.0$ LowLog
/@@{ROOTPREFIX}var/log/dmesg\.1\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/dmesg\.[23]\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/dmesg\.4\.gz$ HiSerMemberLog
/@@{ROOTPREFIX}var/log/fsck/check(root|fs)$ VarFile

@@define NEWSLOGS (errlog|expire\.log|news(\.crit|\.err|\.notice)?|rc\.news|sendsys\.log|unwanted\.log|inn_status\.html|innfeed\.status|expire\.(lastlowmark|list))
@@define OLDLOGS (active|errlog|expire\.log|news(\.crit|\.err|\.notice)?|sendsys\.log|unwanted\.log)

!/@@{ROOTPREFIX}var/lib/news/history(\.(dir|hash|index))?$
/@@{ROOTPREFIX}var/lib/news/(active(\.old)?|newsgroups|\.news\.daily)$ VarFile

!/@@{ROOTPREFIX}var/spool/news/articles(/[-a-z0-9+]+)+$
/@@{ROOTPREFIX}var/spool/news/overview/group\.index$ VarFile
!/@@{ROOTPREFIX}var/spool/news/overview(/[a-z0-9])+/[-\.a-z0-9+]+\.(IDX|DAT)$
/@@{ROOTPREFIX}var/spool/news/overview(/[a-z0-9])+$ VarDir
!/@@{ROOTPREFIX}var/spool/news/articles/control/(newgroup|checkgroups|rmgroup)/[0-9]*$
/@@{ROOTPREFIX}var/spool/news/innfeed/@@{INN2_INNFEED_OUTFEEDS}\.(lock|output|input)$ VarFile
!/@@{ROOTPREFIX}var/spool/news/innfeed/innfeed-dropped\.A[0-9]{6}$
/@@{ROOTPREFIX}var/spool/news/innfeed$ VarDir
/@@{ROOTPREFIX}var/spool/news/incoming(/tmp)?$ VarDir


/@@{ROOTPREFIX}var/log/news/path/inpaths\.[0-9]{10}$ VarFile+ANF
/@@{ROOTPREFIX}var/log/news/@@{NEWSLOGS}$ VarFile
/@@{ROOTPREFIX}var/log/news/OLD/(expire\.log\.0|unwanted\.log)$ VarFile
/@@{ROOTPREFIX}var/log/news/OLD/@@{OLDLOGS}\.1\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/news/OLD/@@{OLDLOGS}\.[0-9]+\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/news(/(path|OLD))?$ VarDir


@@ifdef ISCDHCLIENTIFACE
/@@{ROOTPREFIX}var/lib/dhcp/dhclient\.@@{ISCDHCLIENTIFACE}\.leases$ VarFile
@@endif

/@@{ROOTPREFIX}var/lib/dhcp/dhcpd6?.leases~?$ VarFile
/@@{ROOTPREFIX}var/lib/dhcp$ VarDir

/@@{ROOTPREFIX}var/tmp/krb5kdc_rcache$ VarFile
/@@{ROOTPREFIX}var/tmp/(nfs|host)_[0-9]+$ VarFile
/@@{ROOTPREFIX}tmp/krb5cc_machine_[A-Z.]+$ VarFile
!/@@{ROOTPREFIX}tmp/krb5cc_[0-9]+_[[:alnum:]]+$
/@@{ROOTPREFIX}var/lib/krb5kdc/principal$ VarFile+s+b+i
/@@{ROOTPREFIX}var/lib/krb5kdc/principal\.ok$ VarTime


/@@{ROOTPREFIX}var/log/lastlog$ Log

/@@{ROOTPREFIX}var/lib/apache2/fcgid/sock$ VarDir
!/@@{ROOTPREFIX}var/lib/apache2/fcgid/sock/[0-9]{5}\.[0-9]$

/@@{ROOTPREFIX}var/(lib|cache)/libvirt/qemu$ VarDir
/@@{ROOTPREFIX}var/lib/libvirt/qemu/[-[:alnum:]]+\.monitor$ VarInode
/@@{ROOTPREFIX}var/lib/libvirt/qemu/(save|snapshot)$ VarDir
/@@{ROOTPREFIX}var/lib/libvirt$ VarDir

@@define LIGHTTP_LOGS (access|error)
/@@{ROOTPREFIX}var/log/lighttpd/@@{LIGHTTP_LOGS}\.log$ Log
/@@{ROOTPREFIX}var/log/lighttpd/@@{LIGHTTP_LOGS}\.log\.1$ LowLog
/@@{ROOTPREFIX}var/log/lighttpd/@@{LIGHTTP_LOGS}\.log\.2\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/lighttpd/@@{LIGHTTP_LOGS}\.log\.([3-9]|10|11)\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/lighttpd/@@{LIGHTTP_LOGS}\.log\.12\.gz$ HiSerMemberLog


/@@{ROOTPREFIX}tmp/php\.socket-[0-9]$ VarFile

/@@{ROOTPREFIX}var/lib/logcheck/offset\.var\.log\.(syslog|auth\.log)$ VarFile
/@@{ROOTPREFIX}var/lib/logcheck$ VarDir

/@@{ROOTPREFIX}var/lib/logrotate$ VarDir
/@@{ROOTPREFIX}var/lib/logrotate/status$ VarFile

/@@{ROOTPREFIX}etc/lvm/cache/\.cache$ VarInode
/@@{ROOTPREFIX}etc/lvm/cache$ VarDir

/@@{ROOTPREFIX}var/mail/[a-z0-9]+$ VarFile
/@@{ROOTPREFIX}var/mail$ VarDir

!/@@{ROOTPREFIX}var/lib/mailman/data/(bounce-events|heldmsg-[-[:alnum:]]+)-[[:digit:]]+\.pck$
/@@{ROOTPREFIX}var/lib/mailman/data$ VarDir
!/@@{ROOTPREFIX}var/lib/mailman/archives/private/[-[:alnum:]]+/database/@@{YEAR4D}-[[:alnum:]]+-(author|subject|thread|article|date)$
!/@@{ROOTPREFIX}var/lib/mailman/archives/private/[-[:alnum:]]+/@@{YEAR4D}-[[:alnum:]]+/(author|subject|thread|date|index|[[:digit:]]{5,6})\.html$
!/@@{ROOTPREFIX}var/lib/mailman/archives/private/[-[:alnum:]]+/@@{YEAR4D}-[[:alnum:]]\.txt(\.gz)?$
!/@@{ROOTPREFIX}var/lib/mailman/archives/private/[-[:alnum:]]+/attachments/[[:digit:]]{8}/[[:digit:]]{8}/[[:alnum:]\.]+$

/@@{ROOTPREFIX}var/lib/mailman/lists/[-[:alnum:]]+/(config|request|pending)\.pck$ VarFile
/@@{ROOTPREFIX}var/lib/mailman/lists/[-[:alnum:]]+/(config)\.pck\.last$ VarFile
/@@{ROOTPREFIX}var/lib/mailman/lists/[-[:alnum:]]+$ VarDir

/@@{ROOTPREFIX}var/lib/mailman/qfiles/(in|archive|bounces|retry|out|virgin)$ VarFile


/@@{ROOTPREFIX}var/log/mailman$ VarDir
@@define LOGFILES4 (vette|error|bounce|digest)
/@@{ROOTPREFIX}var/log/mailman/@@{LOGFILES4}$ Log
/@@{ROOTPREFIX}var/log/mailman/@@{LOGFILES4}\.1$ LowLog
/@@{ROOTPREFIX}var/log/mailman/@@{LOGFILES4}\.2\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/mailman/@@{LOGFILES4}\.3\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/mailman/@@{LOGFILES4}\.4\.gz$ HiSerMemberLog

@@define LOGFILES12 (subscribe|post)
/@@{ROOTPREFIX}var/log/mailman/@@{LOGFILES12}$ Log
/@@{ROOTPREFIX}var/log/mailman/@@{LOGFILES12}\.1$ LowLog
/@@{ROOTPREFIX}var/log/mailman/@@{LOGFILES12}\.2\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/mailman/@@{LOGFILES12}\.([3-9]|1[0-1])\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/mailman/@@{LOGFILES12}\.12\.gz$ HiSerMemberLog

@@define LOGFILES7 (qrunner|fromusenet|locks|smtp(-failure)?)
/@@{ROOTPREFIX}var/log/mailman/@@{LOGFILES7}$ Log
/@@{ROOTPREFIX}var/log/mailman/@@{LOGFILES7}\.1$ LowLog
/@@{ROOTPREFIX}var/log/mailman/@@{LOGFILES7}\.2\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/mailman/@@{LOGFILES7}\.[3-6]\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/mailman/@@{LOGFILES7}\.7\.gz$ HiSerMemberLog

/@@{ROOTPREFIX}var/cache/man/(cat[123456789]|local|opt|fsstnd|oldlocal|X11R6)$ VarDir

@@define LANGS (ca|cs|da|de(\.UTF-8)?|en|es(\.UTF-8)?|fi|fr(\.(ISO8859-1|UTF-8))?|gl|hr|hu|id|it(\.(ISO8859-1|UTF-8))?|ja(\.UTF-8)?|jp|ko|nl|pl(\.(UTF-8|ISO8859-2))?|pt(_BR)?|ro|ru|sv|sk|sl|tr|vi|zh(_(CH|CN|TW))?)

/@@{ROOTPREFIX}var/cache/man(/@@{LANGS})?/(CACHEDIR\.TAG|index\.db)$ VarFile
/@@{ROOTPREFIX}var/cache/man(/@@{LANGS})?$ VarDir


/@@{ROOTPREFIX}var/lib/mlocate/mlocate\.db$ VarFile
/@@{ROOTPREFIX}var/lib/mlocate$ VarDir

/@@{ROOTPREFIX}lib/modules/[-0-9\.]*/modules\.dep$ VarFile

/@@{ROOTPREFIX}var/cache/munin/www/index\.html$ VarFile
@@ifdef DNSDOMAINNAME
@@ifdef FQDN
/@@{ROOTPREFIX}var/cache/munin/www/@@{DNSDOMAINNAME}/(index\.html|@@{FQDN}/[-_[:alnum:]]+\.(png|html))$ VarFile
/@@{ROOTPREFIX}var/lib/munin/@@{DNSDOMAINNAME}/@@{FQDN}-.*\.rrd$ VarFile
@@endif
/@@{ROOTPREFIX}var/cache/munin/www/@@{DNSDOMAINNAME}/comparison-(month|day|year|week)\.html$ VarFile
@@endif
/@@{ROOTPREFIX}var/lib/munin/(limits|datafiles|munin-(update|graph)\.stats)$ VarFile
!/@@{ROOTPREFIX}var/lib/munin/munin-(update|graph)\.stats\.tmp$
/@@{ROOTPREFIX}var/lib/munin/plugin-state/(exim_mailstats(-(([0-9]|([1-9]|1[0-9]|2[0-4])[0-9]|25[0-5])\.){3}([0-9]|([1-9]|1[0-9]|2[0-4])[0-9]|25[0-5]))?|(smart-[sh]d[a-z]|munin-cupsys-pages)\.state)$ VarFile
/@@{ROOTPREFIX}var/lib/munin/plugin-state/(postfix_mailvolume|_proc_net_tcp[6]?)$ VarFile
/@@{ROOTPREFIX}var/lib/munin/datafile$ VarFile
/@@{ROOTPREFIX}var/lib/munin$ VarDir
@@define LOGFILES (node|graph|update|html|limits)
/@@{ROOTPREFIX}var/log/munin/munin-@@{LOGFILES}\.log$ Log
/@@{ROOTPREFIX}var/log/munin/munin-@@{LOGFILES}\.log\.1\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/munin/munin-@@{LOGFILES}\.log\.[2-6]\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/munin/munin-@@{LOGFILES}\.log\.7\.gz$ HiSerMemberLog
/@@{ROOTPREFIX}var/log/munin$ VarDir

/@@{ROOTPREFIX}var/lib/mysql$ VarDir
/@@{ROOTPREFIX}var/lib/mysql/(ibdata1|ib_logfile0)$ VarFile
/@@{ROOTPREFIX}var/log/mysql$ VarDir
/@@{ROOTPREFIX}var/log/mysql/mysql-bin\.index$ VarFile
!/@@{ROOTPREFIX}var/log/mysql/mysql-bin\.[0-9]{3}$
!/@@{ROOTPREFIX}var/log/mysql/mysql-bin\.[0-9]{6}$

/@@{ROOTPREFIX}var/cache/nagios2/(objects\.cache|status\.dat)$ VarFile
/@@{ROOTPREFIX}var/lib/nagios2/(comments|retention)\.dat$ VarFile
/@@{ROOTPREFIX}var/lib/nagios2/rw/nagios\.cmd$ VarFile
/@@{ROOTPREFIX}var/lib/nagios2/rw$ VarDir
/@@{ROOTPREFIX}var/log/nagios2/nagios\.log$ LowLog
/@@{ROOTPREFIX}var/log/nagios2/archives/nagios-[01][0-9]-[0123][0-9]-@@{YEAR4D}-00\.log$ SerMemberDELog
/@@{ROOTPREFIX}var/(cache|lib|log)/nagios2$ VarDir
/@@{ROOTPREFIX}var/log/nagios2/archives$ VarDir

!/@@{ROOTPREFIX}var/lib/nagios3/spool/checkresults/[a-zA-Z0-9]{7}(\.ok)?$
/@@{ROOTPREFIX}var/lib/nagios3/spool/checkresults$ VarDir
/@@{ROOTPREFIX}var/lib/nagios3/retention\.dat$ VarFile
/@@{ROOTPREFIX}var/lib/nagios3$ VarDir

/@@{ROOTPREFIX}var/log/nagios3/archives/nagios-[0-9]{2}-[0-9]{2}-[0-9]{4}-[0-9]{2}\.log$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/nagios3/archives$ VarDir
/@@{ROOTPREFIX}var/log/nagios3/nagios\.log$ LowLog
/@@{ROOTPREFIX}var/log/nagios3$ VarDir

/@@{ROOTPREFIX}var/cache/nagios3/(status\.dat|objects\.cache)$ VarFile
/@@{ROOTPREFIX}var/cache/nagios3$ VarDir



/@@{ROOTPREFIX}var/lib/nfs/state$ VarFile
/@@{ROOTPREFIX}var/lib/nfs/etab$ VarInode
/@@{ROOTPREFIX}var/lib/nfs/rpc_pipefs/nfs/clnt[0-9]/(info|krb5|idmap)$ VarTime
/@@{ROOTPREFIX}var/lib/nfs/rpc_pipefs/nfs/clnt[0-9]$ VarDir
/@@{ROOTPREFIX}var/lib/nfs/rpc_pipefs/(statd|portmap|nfs|mount|lockd)$ VarDir
/@@{ROOTPREFIX}var/lib/nfs/rpc_pipefs$ VarDirInode
/@@{ROOTPREFIX}var/lib/nfs(/v4recovery)?$ VarDir


/@@{ROOTPREFIX}var/cache/nscd/(passwd|group|services)$ VarFile


/@@{ROOTPREFIX}var/lib/ntp/ntp\.drift$ VarFile
/@@{ROOTPREFIX}var/lib/ntp$ VarDir
!/@@{ROOTPREFIX}var/log/ntpstats/peerstats(\.[0-9]{8})?
!/@@{ROOTPREFIX}var/log/ntpstats/loopstats(\.[0-9]{8})?
/@@{ROOTPREFIX}var/log/ntpstats$ VarDir


/@@{ROOTPREFIX}etc/opiekeys$ VarFile



/@@{ROOTPREFIX}var/lib/systemd/timers/stamp-phpsessionclean\.timer$ VarFile

/@@{ROOTPREFIX}var/lib/php/sessions$ VarDir
/@@{ROOTPREFIX}var/lib/php/sessions/sess_[0-9a-z]{26}$ VarFile+ANF+ARF
/@@{ROOTPREFIX}var/lib/php/sessions/sess_[0-9a-z]{32}$ VarFile+ANF+ARF


/@@{ROOTPREFIX}@@{LIBINITRW}/sendsigs\.omit\.d/portmap$ VarInode

/@@{ROOTPREFIX}var/lib/postfix/prng_exch$ VarFile
/@@{ROOTPREFIX}var/spool/postfix/(active|incoming|maildrop)$ VarDir

/@@{ROOTPREFIX}var/log/postgresql/postgresql-[0-9]\.[0-9]-main\.log$ Log
/@@{ROOTPREFIX}var/log/postgresql/postgresql-[0-9]\.[0-9]-main\.log\.1$ LowLog
/@@{ROOTPREFIX}var/log/postgresql/postgresql-[0-9]\.[0-9]-main\.log\.2\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/postgresql/postgresql-[0-9]\.[0-9]-main\.log\.[3-9]\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/postgresql/postgresql-[0-9]\.[0-9]-main\.log\.10\.gz$ HiSerMemberLog
/@@{ROOTPREFIX}var/log/postgresql$ VarDir


@@define PORT 5432
/@@{ROOTPREFIX}var/lib/postgresql/[0-9]\.[0-9]/main/pg_stat_tmp/pgstat\.stat$ VarFile
/@@{ROOTPREFIX}var/lib/postgresql/[0-9]\.[0-9]/main/pg_stat_tmp$ VarDir

/@@{ROOTPREFIX}var/lib/postgrey$			VarDir
/@@{ROOTPREFIX}var/lib/postgrey/postgrey(|lock)\.db$	VarFile
/@@{ROOTPREFIX}var/lib/postgrey/log\.[0-9]{10}$	VarFile
/@@{ROOTPREFIX}var/lib/postgrey/__db\.[0-9]{3}$	VarFile

/@@{ROOTPREFIX}var/log/privoxy/logfile$ Log

/@@{ROOTPREFIX}var/log/proftpd/proftpd(_(access|auth|xfer))?\.log$ Log
/@@{ROOTPREFIX}var/log/proftpd$ VarDir

/@@{ROOTPREFIX}etc/resolv\.conf$ VarFile
/@@{ROOTPREFIX}@@{LIBINITRW}/resolvconf/interface/(wlan|eth)[0-9]+(\.(dhclient|inet))?$ VarFile
/@@{ROOTPREFIX}@@{LIBINITRW}/resolvconf/enable-updates$ VarFile
/@@{ROOTPREFIX}@@{LIBINITRW}/resolvconf/resolv\.conf$ VarFile
/@@{ROOTPREFIX}@@{LIBINITRW}/resolvconf(/interface)?$ VarDirInode

/@@{ROOTPREFIX}var/lib/rkhunter/db/(mirrors|rkhunter_prop_list)\.dat$ VarTime
/@@{ROOTPREFIX}var/lib/rkhunter/tmp/(group|passwd)$ VarFile
/@@{ROOTPREFIX}var/lib/rkhunter/(db|tmp)$ VarDir
/@@{ROOTPREFIX}var/log/rkhunter\.log$ Log
/@@{ROOTPREFIX}var/log/rkhunter\.log\.1$ LowLog
/@@{ROOTPREFIX}var/log/rkhunter\.log\.2\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/rkhunter\.log\.3\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/rkhunter\.log\.4\.gz$ HiSerMemberLog


/@@{ROOTPREFIX}var/log/rsnapshot\.log$ Log
/@@{ROOTPREFIX}var/log/rsnapshot\.log\.1\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/rsnapshot\.log\.[2-5]\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/rsnapshot\.log\.6\.gz$ HiSerMemberLog

@@define LOGFILES7R (syslog)
/@@{ROOTPREFIX}var/log/@@{LOGFILES7R}$ Log
/@@{ROOTPREFIX}var/log/@@{LOGFILES7R}\.1$ LowLog
/@@{ROOTPREFIX}var/log/@@{LOGFILES7R}\.2\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/@@{LOGFILES7R}\.[3-6]\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/@@{LOGFILES7R}\.7\.gz$ HiSerMemberLog
@@define LOGFILES4R (messages|debug|(cron|lpr|auth|daemon|kern|user)\.log|mail\.(log|err|warn|info))
/@@{ROOTPREFIX}var/log/@@{LOGFILES4R}$ Log
/@@{ROOTPREFIX}var/log/@@{LOGFILES4R}\.1$ LowLog
/@@{ROOTPREFIX}var/log/@@{LOGFILES4R}\.2\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/@@{LOGFILES4R}\.3\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/@@{LOGFILES4R}\.4\.gz$ HiSerMemberLog
/@@{ROOTPREFIX}var/log$ VarDir
/@@{ROOTPREFIX}@@{LIBINITRW}/sendsigs\.omit\.d/rsyslog$ VarInode

/@@{ROOTPREFIX}etc/samba/passdb\.tdb$ VarFile

/@@{ROOTPREFIX}var/log/samba/log\.(smbd|nmbd)$ Log
/@@{ROOTPREFIX}var/log/samba/log\.(smbd|nmbd)\.1\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/samba/log\.(smbd|nmbd)\.[2-6]\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/samba/log\.(smbd|nmbd)\.7\.gz$ HiSerMemberLog

/@@{ROOTPREFIX}var/log/samba/log\.[[:alnum:]._]+$ FreqRotLog
/@@{ROOTPREFIX}var/log/samba/log\.[[:alnum:]._]+\.old$ LowLog

/@@{ROOTPREFIX}var/log/samba/cores/[sn]mbd$ VarDir


/@@{ROOTPREFIX}var/cache/samba/browse\.dat$ VarFile

/@@{ROOTPREFIX}var/lib/samba/(wins\.dat|(group_mapping\.l|(wins|registry|ntprinters|schannel_store)\.t)db)$ VarFile
/@@{ROOTPREFIX}var/lib/samba/private/msg\.sock$ VarFile

/@@{ROOTPREFIX}var/(log|cache|lib)/samba$ VarDir

@@ifdef HOSTNAME
@@endif

/@@{ROOTPREFIX}var/lib/ldap/[[:alnum:]]+\.bdb$ VarTime
/@@{ROOTPREFIX}var/lib/ldap/__db\.00[1-5]+$ VarFile
/@@{ROOTPREFIX}var/lib/ldap/log\.0000000001$ VarFile
/@@{ROOTPREFIX}var/lib/ldap/alock$ VarFile
/@@{ROOTPREFIX}var/lib/ldap$ VarDir


/@@{ROOTPREFIX}var/lib/slrn/newsgroups\.dsc$ VarFile

/@@{ROOTPREFIX}var/lib/smartmontools/smartd\.[-_[:alnum:]]+\.ata\.state~?$ VarFile
/@@{ROOTPREFIX}var/lib/smartmontools/attrlog\.[-_[:alnum:]]+\.ata\.csv$ VarFile
/@@{ROOTPREFIX}var/lib/smartmontools$ VarDir

!/@@{ROOTPREFIX}tmp/speedy\.6\.21\.F$

/@@{ROOTPREFIX}var/lib/snmp/snmpd\.conf$ VarFile
/@@{ROOTPREFIX}var/lib/snmp$ VarDir

/@@{ROOTPREFIX}var/spool/spamassassin/bayes/(bayes_(journal|toks|seen)|auto-whitelist)$ VarFile
/@@{ROOTPREFIX}var/spool/spamassassin/bayes$ VarDir

!/@@{ROOTPREFIX}var/spool/squid/[0-9A-F]{2}/[0-9A-F]{2}/[0-9A-F]{8}
/@@{ROOTPREFIX}var/spool/squid/(netdb_state|swap.state(.last-clean)?) VarFile
/@@{ROOTPREFIX}var/spool/squid/[0-9A-F]{2}(/[0-9A-F]{2})?$ VarDir
/@@{ROOTPREFIX}var/log/squid/(access|store)\.log$ Log

!/@@{ROOTPREFIX}tmp/ssh-[a-zA-Z0-9]{10}$
!/@@{ROOTPREFIX}tmp/ssh-[a-zA-Z0-9]{10}/agent.[0-9]{1,5}$




/@@{ROOTPREFIX}var/lib/texmf/ls-R(-TEXMFMAIN|-TEXMFDIST-TETEX)? VarFile

@@define TIGER_LOGS (check_(accounts|group|netrc|passwdformat|passwd|perms|rhosts|system|aliases|exports|inetd|printcap|anonftp|path|crontabs|tcpd|services|ftpusers|umask|exrc|embedded|devices)|find_files)
/@@{ROOTPREFIX}var/log/tiger/@@{TIGER_LOGS}\.out\.1$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/tiger/@@{TIGER_LOGS}\.out\.[2-9]$ SerMemberLog
/@@{ROOTPREFIX}var/log/tiger/@@{TIGER_LOGS}\.out\.10$ HiSerMemberLog

@@define TIGER_8LOGS (logfiles|rootkit|root|rootdir|runprocs|known)
/@@{ROOTPREFIX}var/log/tiger/check_@@{TIGER_8LOGS}\.out\.[123]$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/tiger/check_@@{TIGER_8LOGS}\.out\.[4-7]$ SerMemberLog
/@@{ROOTPREFIX}var/log/tiger/check_@@{TIGER_8LOGS}\.out\.(8|9|10)$ HiSerMemberLog

/@@{ROOTPREFIX}var/log/tiger/check_listeningprocs\.out\.([1-9]|10)$ FreqRotLog

/@@{ROOTPREFIX}var/log/tiger$ VarDir

/@@{ROOTPREFIX}var/lib/tiger/work$ VarDir

/@@{ROOTPREFIX}var/lib/tt-rss/update_daemon.(stamp|lock)$ VarFile
/@@{ROOTPREFIX}var/lib/tt-rss$ VarDirTime

/@@{ROOTPREFIX}var/log/tt-rss\.log$ Log
/@@{ROOTPREFIX}var/log/tt-rss\.log\.1\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/tt-rss\.log\.[2-6]\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/tt-rss\.log\.7\.gz$ HiSerMemberLog




@@ifdef LOC_WEBSITES
@@define LOC_WEBALIZERFILES (index\.html|usage\.png|webalizer\.(hist|current)|(ctry|daily|hourly)_usage_@@{YEAR4D}(0[1-9]|1[0-2])\.png|usage_@@YEAR4D(0[1-9]|1[0-2])\.html)

/@@{ROOTPREFIX}var/www/@@{LOC_WEBSITES}/stats/@@{LOC_WEBALIZERFILES}$ VarFile
@@endif

@@define INTERFACES wlan0
/@@{ROOTPREFIX}@@{LIBINITRW}/sendsigs\.omit\.d/wpasupplicant\.wpa_(supplicant|action)\.@@{INTERFACES}\.pid$ VarFile


@@define WPA_LOGS wpa_(action|supplicant)\.@@{INTERFACES}
/@@{ROOTPREFIX}var/log/@@{WPA_LOGS}\.log$ Log
/@@{ROOTPREFIX}var/log/@@{WPA_LOGS}\.log\.1\.gz$ LoSerMemberLog
/@@{ROOTPREFIX}var/log/@@{WPA_LOGS}\.log\.[2-4]\.gz$ SerMemberLog
/@@{ROOTPREFIX}var/log/@@{WPA_LOGS}\.log\.5\.gz$ HiSerMemberLog

/@@{ROOTPREFIX}var/log/wtmp$ Log
/@@{ROOTPREFIX}var/log/wtmp\.1$ LowLog

/@@{ROOTPREFIX}tmp/\.(X11|ICE)-unix$ VarDirInode

/@@{ROOTPREFIX}var/lib/xkb$ VarDirTime

!/@@{ROOTPREFIX}var/lib/xdm/authdir/authfiles/A:[0-9]-[A-Za-z0-9]{6}$
/@@{ROOTPREFIX}var/lib/xdm/authdir/authfiles$ VarDir


!/@@{ROOTPREFIX}dev/pts/[0-9]{1,2}$
/@@{ROOTPREFIX}dev/pts$ VarDir

/@@{ROOTPREFIX}etc$ VarDir

!/@@{ROOTPREFIX}proc
!/@@{ROOTPREFIX}sys

/@@{ROOTPREFIX}@@{LIBINITRW}/sendsigs\.omit\.d$ VarDirInode
/@@{ROOTPREFIX}@@{LIBINITRW}/\.ramfs$ VarFile
/@@{ROOTPREFIX}@@{LIBINITRW}$ VarDirInode

/@@{ROOTPREFIX}tmp$ OwnerMode

/@@{ROOTPREFIX}var/(backups|log|tmp)$ VarDir

## Additions
/@@{ROOTPREFIX}etc/passwd$  CONTENT_EX
/@@{ROOTPREFIX}etc/hosts$ CONTENT_EX
/@@{ROOTPREFIX}etc/host.conf$ CONTENT_EX
/@@{ROOTPREFIX}etc/hostname$ CONTENT_EX
/@@{ROOTPREFIX}etc/issue$ CONTENT_EX
/@@{ROOTPREFIX}etc/issue.net$ CONTENT_EX
/@@{ROOTPREFIX}etc/protocols$ CONTENT_EX
/@@{ROOTPREFIX}etc/services$ CONTENT_EX
/@@{ROOTPREFIX}etc/localtime$ CONTENT_EX
/@@{ROOTPREFIX}etc/alternatives/ CONTENT_EX
/@@{ROOTPREFIX}etc/mime.types$ CONTENT_EX
/@@{ROOTPREFIX}etc/terminfo/ CONTENT_EX
/@@{ROOTPREFIX}etc/exports$  CONTENT_EX
/@@{ROOTPREFIX}etc/fstab$    CONTENT_EX
/@@{ROOTPREFIX}etc/passwd$   CONTENT_EX
/@@{ROOTPREFIX}etc/group$    CONTENT_EX
/@@{ROOTPREFIX}etc/gshadow$  CONTENT_EX
/@@{ROOTPREFIX}etc/shadow$   CONTENT_EX
/@@{ROOTPREFIX}etc/security/opasswd$   CONTENT_EX
/@@{ROOTPREFIX}etc/skel/ CONTENT_EX

/@@{ROOTPREFIX}sbin/auditctl p+i+n+u+g+s+b+acl+xattrs+sha512
/@@{ROOTPREFIX}sbin/auditd p+i+n+u+g+s+b+acl+xattrs+sha512
/@@{ROOTPREFIX}sbin/ausearch p+i+n+u+g+s+b+acl+xattrs+sha512
/@@{ROOTPREFIX}sbin/aureport p+i+n+u+g+s+b+acl+xattrs+sha512
/@@{ROOTPREFIX}sbin/autrace p+i+n+u+g+s+b+acl+xattrs+sha512
/@@{ROOTPREFIX}sbin/audispd p+i+n+u+g+s+b+acl+xattrs+sha512
/@@{ROOTPREFIX}sbin/augenrules p+i+n+u+g+s+b+acl+xattrs+sha512

# Admin's dot files constantly change, just check perms.
/@@{ROOTPREFIX}root/\..* VarFile
# Get root's .ssh folder
/@@{ROOTPREFIX}root/.ssh/   CONTENT_EX

/@@{ROOTPREFIX}etc/login.defs$ CONTENT_EX
/@@{ROOTPREFIX}etc/libuser.conf$ CONTENT_EX
/@@{ROOTPREFIX}var/log/faillog$ VarFile
/@@{ROOTPREFIX}var/log/lastlog$ VarFile
/@@{ROOTPREFIX}etc/pam.d/ CONTENT_EX
/@@{ROOTPREFIX}etc/security$ CONTENT_EX
/@@{ROOTPREFIX}etc/securetty$ CONTENT_EX
/@@{ROOTPREFIX}etc/polkit-1/ CONTENT_EX
/@@{ROOTPREFIX}etc/sudo.conf$ CONTENT_EX
/@@{ROOTPREFIX}etc/sudoers$ CONTENT_EX
/@@{ROOTPREFIX}etc/sudoers.d/ CONTENT_EX

/@@{ROOTPREFIX}etc/profile$ CONTENT_EX
/@@{ROOTPREFIX}etc/profile.d/ CONTENT_EX
/@@{ROOTPREFIX}etc/bashrc$ CONTENT_EX
/@@{ROOTPREFIX}etc/bash_completion.d/ CONTENT_EX
/@@{ROOTPREFIX}etc/zprofile$ CONTENT_EX
/@@{ROOTPREFIX}etc/zshrc$ CONTENT_EX
/@@{ROOTPREFIX}etc/zlogin$ CONTENT_EX
/@@{ROOTPREFIX}etc/zlogout$ CONTENT_EX
/@@{ROOTPREFIX}etc/X11/ CONTENT_EX
/@@{ROOTPREFIX}etc/shells$ CONTENT_EX

/@@{ROOTPREFIX}etc/ssh/sshd_config$ CONTENT_EX
/@@{ROOTPREFIX}etc/ssh/ssh_config$ CONTENT_EX

/@@{ROOTPREIFX}etc/ntp.conf$ CONTENT_EX
/@@{ROOTPREIFX}etc/ntp/ CONTENT_EX
/@@{ROOTPREFIX}etc/chrony/ CONTENT_EX
/@@{ROOTPREIFX}etc/chrony.conf$ CONTENT_EX
/@@{ROOTPREIFX}etc/chrony.keys$ CONTENT_EX

/@@{ROOOTPREFIX}var/spool/at/ CONTENT_EX
/@@{ROOOTPREFIX}etc/at.allow$ CONTENT_EX
/@@{ROOOTPREFIX}etc/at.deny$ CONTENT_EX
/@@{ROOOTPREFIX}etc/cron.allow$ CONTENT_EX
/@@{ROOOTPREFIX}etc/cron.deny$ CONTENT_EX
/@@{ROOOTPREFIX}etc/cron.d/ CONTENT_EX
/@@{ROOOTPREFIX}etc/cron.daily/ CONTENT_EX
/@@{ROOOTPREFIX}etc/cron.hourly/ CONTENT_EX
/@@{ROOOTPREFIX}etc/cron.monthly/ CONTENT_EX
/@@{ROOOTPREFIX}etc/cron.weekly/ CONTENT_EX
/@@{ROOOTPREFIX}etc/crontab$ CONTENT_EX
/@@{ROOOTPREFIX}var/spool/cron/root/ CONTENT_EX
/@@{ROOOTPREFIX}etc/anacrontab$ CONTENT_EX

/@@{ROOTPREFIX}etc/grub.d/ CONTENT_EX
/@@{ROOTPREFIX}etc/grub2.cfg$ CONTENT_EX
/@@{ROOTPREFIX}etc/dracut.conf$ CONTENT_EX
/@@{ROOTPREFIX}etc/dracut.conf.d/ CONTENT_EX

# glibc linker
/@@{ROOTPREFIX}etc/ld.so.cache$ CONTENT_EX
/@@{ROOTPREFIX}etc/ld.so.conf$ CONTENT_EX
/@@{ROOTPREFIX}etc/ld.so.conf.d/ CONTENT_EX

# kernel config
/@@{ROOTPREFIX}etc/sysctl.conf$ CONTENT_EX
/@@{ROOTPREFIX}etc/sysctl.d/ CONTENT_EX
/@@{ROOTPREFIX}etc/modprobe.d/ CONTENT_EX
/@@{ROOTPREFIX}etc/modules-load.d/ CONTENT_EX
/@@{ROOTPREFIX}etc/depmod.d/ CONTENT_EX
/@@{ROOTPREFIX}etc/udev/ CONTENT_EX
/@@{ROOTPREFIX}etc/crypttab$ CONTENT_EX

/@@{ROOTPREFIX}etc/systemd/ CONTENT_EX
/@@{ROOTPREFIX}etc/sysconfig/ CONTENT_EX
/@@{ROOTPREFIX}etc/rc.d/ CONTENT_EX
/@@{ROOTPREFIX}etc/tmpfiles.d/ CONTENT_EX
/@@{ROOTPREFIX}etc/machine-id$ CONTENT_EX

/@@{ROOTPREFIX}etc/audit/ CONTENT_EX

# Exclusions
!/var/lib/docker
!/var/lib/lxcfs
!/var/lib/private/systemd
!/var/log/audit
!/var/log/journal
